[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# ExtractColorIndexAndColor

Extracts the color index and color value for the specified position in a color list.

## Declaration

Source position: dialogs.pp line 1051

`function ExtractColorIndexAndColor(`
`const AColorList: TStrings;`
`const AIndex: Integer;`
`out ColorIndex: Integer;`
`out ColorValue: TColor`
`):Boolean;`

## Arguments

`AColorList` |  | List of colors in COLORID=VALUE format.
`AIndex` |  | Position in the list for the extracted color index and value.
`ColorIndex` |  | Color index (ColorA=0, ColorB=1, etc.)
`ColorValue` |  | TColor for the hexadecimal value in the list.

## Function result

True on success, False if the list does not use the correct format.